Subject: Re: 1.7.2 on 2008 SP2: man segfaults + X problems
From: Mark McConnell <[email-masked]>
To: [email-masked]
Date: Mon, 29 Mar 2010 19:03:17 -0700
List-Id: <cygwin.cygwin.com>

2010/3/29 Mark McConnell <[email-masked]>:
> RESOLVED.  Windows Server 2008 has Data Execution Prevention (DEP)
> enabled by default.  Apparently there are a number of Cygwin programs
> that are not compatible DEP.  All of the symptoms that I described are
> related to this.  I've turned off DEP for all programs except crucial
> Windows applications.
>
> I would prefer to make exceptions for Cygwin programs only, rather
> than turning off DEP for all third party applications; but the unix
> model of many small programs interoperating with one another would
> seem to make this impractical.  I'll investigate that further, but as
> for the problem I described with my Cygwin installation on Server 2008
> SP2, I've resolved it.
>
> Thanks for your patience.
>
> Mark
> --

By the way, I belatedly discovered that this is related to FAQ 14:

http://www.cygwin.com/faq/faq.setup.html#faq.setup.setup-fails-on-ts

Mark
--

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple